import { ResolvedTimelineObject, ResolverCache } from '../api';
import { ResolvedTimelineHandler } from './ResolvedTimelineHandler';
export declare class CacheHandler {
    private resolvedTimeline;
    /** A Persistent store. This object contains data that is persisted between resolves. */
    private cache;
    private canUseIncomingCache;
    constructor(cache: Partial<ResolverCache>, resolvedTimeline: ResolvedTimelineHandler);
    determineChangedObjects(): void;
    persistData(): void;
    /** Resets / Clears the cache */
    static resetCache(cache: Partial<ResolverCache>): void;
}
/** Return a "hash-string" which changes whenever anything that affects timing of a timeline-object has changed. */
export declare function hashTimelineObject(obj: ResolvedTimelineObject): string;
//# sourceMappingURL=CacheHandler.d.ts.map