import { ExpressionObj, Expression, InnerExpression, ExpressionOperator } from '../api/expression';
export declare const OPERATORS: ExpressionOperator[];
export declare const REGEXP_OPERATORS: RegExp;
export declare class ExpressionHandler {
    private skipValidation?;
    private cache;
    constructor(autoClearCache?: boolean, skipValidation?: boolean | undefined);
    interpretExpression(expression: null): null;
    interpretExpression(expression: number): number;
    interpretExpression(expression: ExpressionObj): ExpressionObj;
    interpretExpression(expression: string | Expression): Expression;
    /** Try to simplify an expression, this includes:
     * * Combine constant operands, using arithmetic operators
     * ...more to come?
     */
    simplifyExpression(expr0: Expression): Expression;
    wrapInnerExpressions(words: any[]): InnerExpression;
    /** Validates an expression. Returns true on success, throws error if not */
    validateExpression(operatorList: string[], expr0: Expression, breadcrumbs?: string): true;
    clearCache(): void;
    private words2Expression;
}
//# sourceMappingURL=ExpressionHandler.d.ts.map