import { ResolvedTimelineObject } from '../api';
import { InstanceHandler } from './InstanceHandler';
import { ResolvedTimelineHandler } from './ResolvedTimelineHandler';
/**
 * LayerStateHandler instances are short-lived.
 * They are initialized, .resolveConflicts() is called and then discarded
 */
export declare class LayerStateHandler {
    private resolvedTimeline;
    private instance;
    private layer;
    /**
     * Maps an array of object ids to an object id (objects that directly reference an reference).
     */
    private directReferenceMap;
    private pointsInTime;
    /** List of object ids on the layer */
    objectIdsOnLayer: string[];
    /** List of objects on the layer. (this is populated in .resolveConflicts() ) */
    objectsOnLayer: ResolvedTimelineObject[];
    constructor(resolvedTimeline: ResolvedTimelineHandler, instance: InstanceHandler, layer: string, 
    /**
     * Maps an array of object ids to an object id (objects that directly reference an reference).
     */
    directReferenceMap: Map<string, string[]>);
    /** Resolve conflicts between objects on the layer. */
    resolveConflicts(): void;
    /** Add an instance and event to a certain point-in-time */
    private addPointInTime;
    private compareInstancesToCheck;
}
export interface TimeEvent {
    time: number;
    /** true when the event indicate that something starts, false when something ends */
    enable: boolean;
}
//# sourceMappingURL=LayerStateHandler.d.ts.map