import { ResolvedTimeline } from '../api/resolvedTimeline';
import { ResolveOptions } from '../api/resolver';
import { Content, TimelineObject } from '../api/timeline';
/**
 * Note: A Resolver instance is short-lived and used to resolve a timeline.
 * Intended usage:
 * 1. const resolver = new Resolver(options)
 * 2. resolver.run(timeline)
 */
export declare class ResolverHandler<TContent extends Content = Content> {
    private options;
    private hasRun;
    private resolvedTimeline;
    private validator;
    constructor(options: ResolveOptions);
    /**
     * Resolves a timeline, i.e. resolves the references between objects
     * This method can only be run once per Resolver instance.
     */
    resolveTimeline(timeline: TimelineObject<TContent>[]): ResolvedTimeline<TContent>;
}
//# sourceMappingURL=ResolverHandler.d.ts.map